最近在搞openstack,但是出师未捷身先死,连pydev都装不上,总是出现如下的问题。

An error occurred while collecting items to be installed 

session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). 
Unable to read repository at http://pydev.org/updates/plugins/org.python.pydev.core_2.7.1.2012100913.jar. 
Read timed out 
Unable to read repository at http://pydev.org/updates/plugins/org.python.pydev.refactoring_2.7.1.2012100913.jar. 

Read timed out 


网上搜了一下,大概是由于pydev被和谐了,大概有两种解决思路

1,直接把pydev下载下来,直接手动安装。

到pydev的主页,选择自己python版本对应的dev版本,最好选一样版本号的,不然可能出现pydev选项出不来的错误。http://sourceforge.net/projects/pydev/files/pydev/

把下载好的pydev压缩包内的plugins和features 文件夹内的内容复制到eclipse的解压目录的对应的文件夹中即可。




2,给eclipse 设置代理


默认的Eclipse 是不用代理上网,但在一些公司的局域网,需要使用代理上网,
因而需要手工设置eclipse的上网设置        
window-->preferences-->general-->network connections 
选中 manual proxy configuration: 依次填入http proxy , port就ok 了。
另外,如果代理需要用帐号和密码就需要选中 Enable proxy authentication,
然后填上 user name  及password   取消,ok.



亲测第一种方法有用,使用的2.8.2版本